/**
 * SELECT COMPONENT WITH ACCESSIBLE AUTOCOMPLETE
 *
 *
*/
.rtds-input-field .autocomplete__input {
    width: 100%;
    background-repeat: no-repeat;
    padding-top: var(--spacing-2);
    padding-bottom: var(--spacing-2);
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-9);
        border-color: var(--color-border-input);
    border-radius: 0.5rem;
    border-width: 1px;
    background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="currentColor" aria-hidden="true" data-slot="icon"%3E%3Cpath fill-rule="evenodd" d="M12.53 16.28a.75.75 0 0 1-1.06 0l-7.5-7.5a.75.75 0 0 1 1.06-1.06L12 14.69l6.97-6.97a.75.75 0 1 1 1.06 1.06l-7.5 7.5Z" clip-rule="evenodd"/%3E%3C/svg%3E');
    background-position: right var(--spacing-2) top var(--spacing-2);
    background-size: var(--spacing-5) var(--spacing-5);
}
.rtds-select--sm .autocomplete__input {
    height: var(--spacing-8);
    padding-top: var(--spacing-0-5);
    padding-bottom: var(--spacing-0-5);
    padding-left: var(--spacing-2);
    padding-right: var(--spacing-7);
        background-size: var(--spacing-4) var(--spacing-4);
}
.rtds-select--lg .autocomplete__input {
    height: var(--spacing-12);
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-9);
    padding-top: var(--spacing-3);
    padding-bottom: var(--spacing-3);
        background-position: right var(--spacing-2-5) top var(--spacing-2-5);
        background-size: var(--spacing-6) var(--spacing-6);
}
.rtds-autocomplete .has-error .rtds-icon {
    top: var(--spacing-2);
}
.rtds-autocomplete .rtds-select--sm.has-error .rtds-icon {
    top: var(--spacing-1-5);
}
.rtds-autocomplete .rtds-select--lg.has-error .rtds-icon {
    top: var(--spacing-2-5);
}
.has-error .autocomplete__input {
    border-width: 2px;
    border-color: var(--color-error-dark);
}
.rtds-select :where(div:not([class])) {
    width: 100%;
}
.rtds-input-field .autocomplete__dropdown-arrow-down-wrapper {
    position: absolute;
    right: var(--spacing-2);
    top: var(--spacing-2);
        color: var(--color-content-placeholder);
    width: var(--spacing-5);
    height: var(--spacing-5);
}
.rtds-input-field .autocomplete__menu {
        border-color: var(--color-border-input);
    border-radius: 0.5rem;
    border-width: 1px;
}
.rtds-input-field .autocomplete__hint, .rtds-input-field .autocomplete__input, .rtds-input-field .autocomplete__option {
    font-size: var(--fontsize-text-sm);
    font-weight: 500;
        color: var(--color-content-03);
}
.rtds-input-field .autocomplete__option {
    border-bottom-width: 1px;
    border-top-width: 0px;
    padding-left: var(--spacing-3);
    padding-right: var(--spacing-3);
    padding-top: var(--spacing-2);
    padding-bottom: var(--spacing-2);
        border-color: var(--color-border-input);
}
.rtds-input-field .autocomplete__option:last-child {
    border-bottom-width: 0px;
}
.rtds-input-field .autocomplete__option:hover {
        color: var(--color-content-inverse);
        background-color: var(--color-background-secondary);
    }
.rtds-input-field .autocomplete__option:focus {
        color: var(--color-content-inverse);
        background-color: var(--color-background-secondary);
    }
.rtds-input-field .autocomplete__option--focused {
        color: var(--color-content-inverse);
        background-color: var(--color-background-secondary);
    }
.rtds-input-field .autocomplete__option--odd {
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity, 1));
}
